Upcoming Events

Weekly BMW races on Simracing.GP Other regular AC events on Simracing.GP Weekly GT3 Sprint Races on Simracing.GP Weekly GT4 Sprint Races on Simracing.GP Daily WTCR races on Simracing.GP

General Shader Patch Crashing graphics driver

Hi all I'm new to Assetto modding but not modding . I have a problem.
Whenever i try to upgrade my shader patch to anything above 1.60 recommended. I will start a race and it will act like its loading on the loading screen and then black screen and crash my graphics driver. When it recovers AMD bug reporting tool comes up and says driver had a timeout. I am using VR btw. It actually works outside of VR but not with VR(Rift S)

the end of the shaders patch log for the crash is as follows

Unexpected error: Failed operation: `device->CreateShaderResourceView(buffer, &srv_desc, &srv)`, error: 0x887a0005, device removed: 0x887a0006
File: source\dx\dx_buffer.cpp
Function: dx_buffer
 
Do you have a Polaris card (the likes of rx480/580/590 or x70)? A user previously reported that he couldn't run anything from 0.1.62-0.1.72 on these cards under VR, due to a driver crash (public .73 wasn't out by then). Various driver and csp settings combinations were tried to no avail. AFAIK, x4fab should have already been informed of it with logs.

(I can only confirm no problem on single screen on a RX480 up to current public version)
 
Last edited:
Yes i have a 580. That would make sense. I knew it was VR/ graphics driver related but had no clue why. And yes single screen works great. Its VR that doesnt work. Thanks! I guess I will wait for a fix. I just want to use SOL and I get black sky bug on recommended.
 
For 0.1.60 you must use a previous version sol, 2.0 won't work. Here on RD you can find in the Sol history "1.6.2". It comes with both an early Sol 3D implementation (1.6.2 itself), and the legacy 1.5.5 (allows to use old 2d Sol).
 
Last edited:
This comes a bit late, for you guys not able to run VR with an AMD Polaris family gpu (and maybe Vega) since 0.1.62, atm as a workaround please try to completely disable Post Processing on the Video Settings.

On very recent csp versions supporting it (as in later 0.1.74 previews, public 0.1.74 and 0.1.75p1), you'll also be required to disable "Origin shift" under settings>csp>graphics adjustments, as it can cause a spawn issue in combination with PP off on large tracks.

(If it gets you going, there's a version of Sol weather specially made for PP off, it's listed as SimplePPoff on the Weather script drop down list)

GL
 
Last edited:
This comes a bit late, for you guys not able to run VR with an AMD Polaris family gpu (and maybe Vega) since 0.1.62, atm as a workaround please try to completely disable Post Processing on the Video Settings.

On very recent csp versions supporting it (as in later 0.1.74 previews, public 0.1.74 and 0.1.75p1), you'll also be required to disable "Origin shift" under settings>csp>graphics adjustments, as it can cause a spawn issue in combination with PP off on large tracks.

(If it gets you going, there's a version of Sol weather specially made for PP off, it's listed as SimplePPoff on the Weather script drop down list)

GL
so I have a RX 580 and I'm trying to run VR, so I have to downgrade my sol and custom shaders patch for it to work? If so what versions should I use
 
Last edited:
Not to be rude, but it's like you're quoting a post without taking some time to read it or what came before, and then expecting me to digest back all the info :unsure::

Some users with Polaris gpus (or even Vega) can't seem to be able run any csp version in VR from 0.1.62 and above due to a driver crash on loading (If you don't face this issue, disregard and just run current csp+sol versions).
So, when reverting to old csp 0.1.60 to cope with that, you'll also need to revert to a previous Sol version (prior to 2.0, as that'll require csp 0.1.63). Unfortunately, since my last post these older Sol versions were removed from RD, but on the Sol discord in #releases you'll still find a link to "Sol 1.5.5 + 1.6.2" if you need to run old csp 0.1.60 just for VR.

Then later on this thread, for these users stuck on 0.1.60 for VR, I suggested as an alternative going back to a current csp version that crashed in VR mode but not in 2d (such as public 0.1.74, or latest patreon preview, both can be paired with sol 2.1.3). But then on the ac video settings, try to completely disable Post Processing and see if now you're finally able to start a session in VR -- this will also require "Origin shift" to be disabled csp's graphics adjustments page. A couple of users reported success this way.

This isn't an ideal solution by no means. PP off can cause emissives to be very faint or missing (such as car lights or rev leds), won't be able to use filters, etc. It's just a workaround to be able to use a more recent csp version, when mods require it or for rain fx.
 
Last edited:
Top